Subject: Re: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Dec 2012 12:01:04 +0800

Jean-Philippe Gravel <[email-masked]> writes:

> As stated previously, I only re-wrote gud-gdbmi-marker-filter.  This
> function now parses the GDB/MI records in the order of arrival.  Only
> the signature of each record is read by the new parser.  The actual
> content of the record (i.e. result strings) is still parsed by the
> original code (which I will refer to as the record handlers below).
>
> The new parser is based on the GDB/MI output BNF grammar available at:
> ftp://ftp.gnu.org/pub/old-gnu/Manuals/gdb/html_node/gdb_214.html#SEC221

Thanks.  This looks like a very good change indeed.  In order for us to
include it in Emacs, we need a copyright assignment; I hope you will be
willing to sign one.  I will contact you off-list about how to do this.